Bug 1109774 (CVE-2014-1739)

Summary: CVE-2014-1739 Kernel: drivers: media: an information leakage
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, bhu, carnil, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, nobody, npajkovs, pholasek, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20140430,reported=20140615,source=oss-security,cvss2=1.7/AV:L/AC:L/Au:S/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An information leak flaw was found in the way the Linux kernel handled media device enumerate entities IOCTL requests. A local user able to access the /dev/media0 device file could use this flaw to leak kernel memory bytes.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-21 23:52:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1109776, 1109777, 1109778    
Bug Blocks: 1109686    

Description Prasad J Pandit 2014-06-16 10:45:12 UTC
Linux kernel built with the Multimedia support(CONFIG_MEDIA_SUPPORT) to enable
web-cam, video grabber devices, is vulnerable to an information leakage flaw.
It could occur while doing an ioctl(2) call on a media device file.

A user/process able to access the /dev/media0 device file could use this flaw
to leak kernel memory bytes.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/e6a623460e5fc960ac3ee9f946d3106233fd28d8

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/15/1

Comment 1 Prasad J Pandit 2014-06-16 10:49:10 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5, Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 3 Prasad J Pandit 2014-06-16 10:51:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1109778]

Comment 4 Martin Prpič 2014-12-05 14:33:45 UTC
IssueDescription:

An information leak flaw was found in the way the Linux kernel handled media device enumerate entities IOCTL requests. A local user able to access the /dev/media0 device file could use this flaw to leak kernel memory bytes.

Comment 5 errata-xmlrpc 2014-12-09 20:34:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html